edu.isi.pegasus.planner.selector.site

## Class Abstract

- java.lang.Object
- - edu.isi.pegasus.planner.selector.site.Abstract

All Implemented Interfaces:
  SiteSelector

Direct Known Subclasses:
  AbstractPerJob, Group, Heft

    public abstract class Abstract
    extends java.lang.Object
    implements SiteSelector

The Abstract Site selector.

Version:
  $Revision$
Author:
  Karan Vahi, Jens-S. Vöckler, Gaurang Mehta

### Field Summary

Fields
`protected PegasusBag` `mBag` The bag of Pegasus objects.
`protected LogManager` `mLogger` The handle to the logger.
`protected PegasusProperties` `mProps` The properties passed to Pegasus at runtime.
`protected SiteStore` `mSiteStore` The handle to the site catalog.
`protected Mapper` `mTCMapper` The handle to the TCMapper object.

### Fields inherited from interface edu.isi.pegasus.planner.selector.SiteSelector

`SITE_NOT_FOUND, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`Abstract()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `initialize(PegasusBag bag)` Initializes the site selector.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface edu.isi.pegasus.planner.selector.SiteSelector

`description, mapWorkflow`

### Field Detail

#### mProps

    protected PegasusProperties mProps

The properties passed to Pegasus at runtime.

#### mLogger

    protected LogManager mLogger

The handle to the logger.

#### mSiteStore

    protected SiteStore mSiteStore

The handle to the site catalog.

#### mTCMapper

    protected Mapper mTCMapper

The handle to the TCMapper object.

#### mBag

    protected PegasusBag mBag

The bag of Pegasus objects.

### Constructor Detail

#### Abstract

    public Abstract()

### Method Detail

#### initialize

    public void initialize(PegasusBag bag)

Initializes the site selector.

Specified by:
  `initialize` in interface `SiteSelector`
Parameters:
  `bag` - the bag of objects that is useful for initialization.